gr::radar::msg_manipulator_impl Class Reference

`#include <msg_manipulator_impl.h>`

Inheritance diagram for gr::radar::msg_manipulator_impl:

## Public Member Functions

| msg_manipulator_impl (std::vector< std::string > symbols, std::vector< float > const_add, std::vector< float > const_mult)
| ~msg_manipulator_impl ()
void | handle_msg (pmt::pmt_t msg)
void | set_const_add (std::vector< float > val)
void | set_const_mult (std::vector< float > val)

## Public Attributes

std::vector< std::string > | d_symbols
std::vector< float > | d_const_add
std::vector< float > | d_const_mult
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out

## Additional Inherited Members

Public Types inherited from gr::radar::msg_manipulator
typedef std::shared_ptr< msg_manipulator > | sptr
Static Public Member Functions inherited from gr::radar::msg_manipulator
static sptr | make (std::vector< std::string > symbols, std::vector< float > const_add, std::vector< float > const_mult)
| Return a shared_ptr to a new instance of radar::msg_manipulator.

## Constructor & Destructor Documentation

## msg_manipulator_impl()

gr::radar::msg_manipulator_impl::msg_manipulator_impl | ( | std::vector< std::string > | symbols,
|  | std::vector< float > | const_add,
|  | std::vector< float > | const_mult )

## ~msg_manipulator_impl()

gr::radar::msg_manipulator_impl::~msg_manipulator_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::msg_manipulator_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## set_const_add()

void gr::radar::msg_manipulator_impl::set_const_add | ( | std::vector< float > | val | ) |

virtual

Implements gr::radar::msg_manipulator.

## set_const_mult()

void gr::radar::msg_manipulator_impl::set_const_mult | ( | std::vector< float > | val | ) |

virtual

Implements gr::radar::msg_manipulator.

## Member Data Documentation

## d_const_add

std::vector<float> gr::radar::msg_manipulator_impl::d_const_add

## d_const_mult

std::vector<float> gr::radar::msg_manipulator_impl::d_const_mult

## d_port_id_in

pmt::pmt_t gr::radar::msg_manipulator_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::msg_manipulator_impl::d_port_id_out

## d_symbols

std::vector<std::string> gr::radar::msg_manipulator_impl::d_symbols

The documentation for this class was generated from the following file:

- msg_manipulator_impl.h